<%- include ("layouts/header") %>

	<div class="container">
		<div class="row my-5">
			<div class="col-md-12">
				<h1>Upload video</h1>
				
				<p class="py-3"><%= typeof msg != "undefined" ? msg: ""  %></p>

				<form action="/api/v1/video/upload-video" enctype="multipart/form-data" method="POST">
					<div class="form-group">
						<label>Select Video</label>
						<input type="file" name="uploadedVideo" class="form-control-file">
					</div>
					<div class="form-group">
						<label>Select Thumbnail</label>
						<input type="file" name="thumbnail" class="form-control-file">
					</div>
					<div class="form-group">
						<label>Title</label>
						<input type="text" name="title" class="form-control" required>
					</div>
					<div class="form-group">
						<label>Description</label>
						<textarea name="description" class="form-control" require></textarea>
					</div>
					<div class="form-group">
						<label>Tags</label>
						<input type="text" name="tags" class="form-control" required>
					</div>
					<div class="form-group">
						<label>Category</label>
						<select class="form-control" name="category">
							<option value="Technology">Technology</option>
							<option value="Gaming">Gaming</option>
							<option value="Educaion">Education</option>
							<option value="Funny">Funny</option>
						</select>
					</div>
					<input type="submit" class="btn btn-primary" value="Upload">
				</form>
			</div>
		</div>
	</div>

<%- include ("layouts/footer") %>